<%- include('./_partial/_head.ejs') %>

<body class="skin-blue sidebar-mini " dir="rtl">
    <div class="wrapper">
        <%- include('./_partial/_nav.ejs') %>

        <!-- Left side column. contains the logo and sidebar -->
        <%- include('./_partial/asideRight.ejs') %>
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    جدول الباكدج
                </h1>

                <!-- Button trigger modal -->
                <button type="button" id="Model" class="btn btn-primary" data-toggle="modal"
                    data-target="#exampleModal">
                    اضافه باكدج
                </button>

            </section>

            <!-- Main content -->
            <section class="content">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="box">

                            <div class="box-body">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th scope="col"></th>
                                            <th scope="col">اسم الباكدج</th>
                                            <th scope="col">وصف الباكدج</th>
                                            <th scope="col">سعر الباكدج</th>
                                            <th scope="col">عدد المناطق المسموح بيها</th>
                                            <th scope="col">حذف او تعديل</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div><!-- /.box-body -->
                        </div><!-- /.box -->


                    </div><!-- /.row -->
            </section><!-- /.content -->
        </div><!-- /.content-wrapper -->


        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">اضافه باكدج</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label for="nameAdmin">اسمه المسئول</label>
                                <input type="text" class="form-control" id="nameAdmin" placeholder="ادخل اسمه المسئول">
                                <div class="form-group">
                                    <label for="phoneAdmin">رقم التليفون</label>
                                    <input type="text" class="form-control" id="phoneAdmin"
                                        placeholder="ادخل رقم التليفون">
                                </div>
                                <div class="form-group">
                                    <label for="addressAdmin">العنوان</label>
                                    <input type="text" class="form-control" id="addressAdmin"
                                        placeholder="ادخل العنوان">
                                </div>
                                <div class="form-group">
                                    <label for="jobTitleAdmin">نوع المسئوليه</label>
                                    <input type="text" class="form-control" id="jobTitleAdmin"
                                        placeholder="ادخل نوع المسئوليه">
                                </div>
                                <div class="form-group">
                                    <label for="detailsAdmin">تفاصيل المسئوليه</label>
                                    <input type="text" class="form-control" id="detailsAdmin"
                                        placeholder="ادخل تفاصيل المسئوليه">
                                </div>
                                <div class="form-group">
                                    <label for="snnAdmin">الرقم القومي</label>
                                    <input type="text" class="form-control" id="snnAdmin"
                                        placeholder="ادخل الرقم القومي">
                                </div>
                                <div class="form-group">
                                    <label for="userNameAdmin">اسم المستخدم</label>
                                    <input type="text" class="form-control" id="userNameAdmin"
                                        placeholder="ادخل اسم المستخدم">
                                </div>
                                <div class="form-group">
                                    <label for="passwordAdmin">كلمه السر</label>
                                    <input type="password" class="form-control" id="passwordAdmin"
                                        placeholder="ادخل كلمه السر">
                                </div>

                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" id='saveAdmin' class="btn btn-primary">حفظ</button>
                            </div>
                        </form>



                    </div>


                </div>
            </div>
        </div>
        <!-- Modal updated-->
        <div class="modal fade" id="exampleModal2" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">تعديل باكدج</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label for="namePkgUpdate">اسم الباكدج</label>
                                <input type="text" class="form-control" id="namePkgUpdate"
                                    placeholder="ادخل اسمه الباكدج">
                                <div class="form-group">
                                    <label for="descriptionPkgUpdate">وصف الباكدج</label>
                                    <input type="text" class="form-control" id="descriptionPkgUpdate"
                                        placeholder="ادخل وصف الباكدج">
                                </div>
                                <div class="form-group">
                                        <label for="pricePkgUpdate">سعر الباكدج</label>
                                        <input type="text" class="form-control" id="pricePkgUpdate"
                                            placeholder="ادخل سعر الباكدج">
                                    </div>
                                <div class="form-group">
                                    <label for="numOfRegPkgUpdate">عدد المناطق</label>
                                    <input type="text" class="form-control" id="numOfRegPkgUpdate"
                                        placeholder="ادخل عدد المناطق">
                                </div>
                                
                                <div class="form-group">
                                    <input type="hidden" class="form-control" id="pkgIdUpdate" value="">
                                </div>


                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" id='savePkgUpdate' class="btn btn-primary">حفظ</button>
                            </div>
                        </form>



                    </div>


                </div>


            </div>
        </div>
    </div>

    <!-- Modal details-->
    <div class="modal fade" id="exampleModal3" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">تفاصيل بنود الباكدج</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                        <table class="table detailsItem">
                                <thead>
                                    <tr>
                                        <th scope="col"></th>
                                        <th scope="col">اسم البند</th>
                                        <th scope="col">قيمه البند</th>
                                        <th scope="col">حذف او تعديل</th>

                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>



                </div>


            </div>
        </div>
    </div>
    <%- include('./_partial/_footer.ejs') %>


    <%- include('./_partial/_jQuery.ejs') %>

    <script>
        $(document).ready(function () {



            var socket = io();

            socket.emit('allPkg');
            socket.on('allPkg', function (msg) {
                $('table tbody tr').remove();
                console.log(msg);
                $.each(msg, function (key, value) {

                    var num = key + 1;
                    var getData = "<tr id='" + value.id + "'><th scope='row'>" + num + "</th><td>" + value.name + "</td><td>" + value.description + "</td><td>" + value.price + "</td><td>" + value.number_of_reg + "</td><td ><button class='btn btn-danger deletePkg' id=" + value.id + "  type='button'>مسح</button><button type='button' id='update " + value.id + "' class='btn btn-warning pkgUpdateBtn' data-toggle='modal' data-target='#exampleModal2'> تعديل</button><button type='button' id='pkg " + value.id + "' class='btn btn-dark showdetailsBtn' data-toggle='modal' data-target='#exampleModal3'>تفاصيل</button></td></tr>";
                    $("table tbody").append(getData);
                    console.log(value.name + " " + key);
                });
            });


           
            $(document).on('click', '.showdetailsBtn', function (e) {
                let pkgId = e.target.id;
                let result = pkgId.split(" ");
                $.post("http://localhost:3003/weco/infoPkg",
                    { pkgId: result[1] },
                    function (data) {
                        $('.detailsItem tbody tr').remove();
                console.log(data);
                $.each(data, function (key, value) {

                    var num = key + 1;
                    var getData = "<tr id='" + value.id + "'><th scope='row'>" + num + "</th><td>" + value.name + "</td><td>" + value.pkg_item_value + "</td><td ><button class='btn btn-danger deletePkgItem' id=" + value.id + "  type='button'>مسح</button><button type='button' id='updatePkgItem " + value.id + "' class='btn btn-warning adminUpdateBtn' data-toggle='modal' data-target='#exampleModal5'> تعديل</button></td></tr>";
                    $(".detailsItem tbody").append(getData);
                    console.log(value.name + " " + key);
                });
                    }
                );
            });

            $(document).on('click', '.pkgUpdateBtn', function (e) {
                let pkgId = e.target.id;
                let result = pkgId.split(" ");
                console.log(result[1]);
                $.post("http://localhost:3003/weco/Pkg",
                    { pkgId: result[1] },
                    function (data) {
                        console.log(data[0].id);
                        $('#pkgIdUpdate').val(data[0].id);
                        $('#namePkgUpdate').val(data[0].name);
                        $('#descriptionPkgUpdate').val(data[0].description);
                        $('#pricePkgUpdate').val(data[0].price);
                        $('#numOfRegPkgUpdate').val(data[0].number_of_reg);


                    });

                console.log(result[1]);
            });
            $(document).on('click', '.deletePkg', function (e) {
                let pkgId = event.target.id;
                console.log('pkg id is' +pkgId);
                if (pkgId) {
                    $.post("http://localhost:3003/weco/deletePkg",
                        { pkgId: pkgId },
                        function (data) {
                            if (data === 'package is deleted') {
                                console.log('in socket');
                                socket.emit('allPkg');

                            }
                        });
                }
                console.log(event.target.id);

            });


            $('#saveAdmin').click(function () {
                let nameAdmin = $('#nameAdmin').val();
                let phoneAdmin = $('#phoneAdmin').val();
                let addressAdmin = $('#addressAdmin').val();
                let jobTitleAdmin = $('#jobTitleAdmin').val();
                let detailsAdmin = $('#detailsAdmin').val();
                let snnAdmin = $('#snnAdmin').val();
                let userNameAdmin = $('#userNameAdmin').val();
                let passwordAdmin = $('#passwordAdmin').val();
                if (userNameAdmin != '') {
                    $.post("http://localhost:3003/weco/insertAdmin",
                        {
                            nameAdmin: nameAdmin,
                            phoneAdmin: phoneAdmin,
                            addressAdmin: addressAdmin,
                            jobTitleAdmin: jobTitleAdmin,
                            detailsAdmin: detailsAdmin,
                            snnAdmin: snnAdmin,
                            userNameAdmin: userNameAdmin,
                            passwordAdmin: passwordAdmin

                        },
                        function (data) {
                            if (data === 'admin is inserted') {
                                console.log('in socket');
                                socket.emit('allPkg');
                            }
                        });
                }

            });


            $('#savePkgUpdate').click(function () {
                let pkgIdUpdate = $('#pkgIdUpdate').val();
                let namePkgUpdate = $('#namePkgUpdate').val();
                let descriptionPkgUpdate = $('#descriptionPkgUpdate').val();
                let pricePkgUpdate = $('#pricePkgUpdate').val();
                let numOfRegPkgUpdate = $('#numOfRegPkgUpdate').val();
                $.post("http://localhost:3003/weco/updatePkg",
                    {
                        pkgIdUpdate: pkgIdUpdate,
                        namePkgUpdate: namePkgUpdate,
                        descriptionPkgUpdate: descriptionPkgUpdate,
                        pricePkgUpdate: pricePkgUpdate,
                        numOfRegPkgUpdate: numOfRegPkgUpdate
                    },
                    function (data) {
                        if (data === 'pkg is updated') {
                            console.log('in socket');
                            socket.emit('allPkg');
                        }
                    });


            });
        });
    </script>

</body>

</html>